org.eclipse.gef.fx.anchors

## Interface IComputationStrategy

All Known Implementing Classes:
  ChopBoxStrategy, OrthogonalProjectionStrategy, ProjectionStrategy

    public interface IComputationStrategy

The `IComputationStrategy` is responsible for computing anchor positions based on the anchorage `Node`, the anchored `Node`, and respective (strategy-specific) `parameters`.

### Nested Class Summary

Nested Classes
`static class` `IComputationStrategy.Parameter<T>` Base class for all computation parameters that can be passed to an `IComputationStrategy`.

### Method Summary

All Methods Instance Methods Abstract Methods
`Point` `computePositionInScene(javafx.scene.Node anchorage, javafx.scene.Node anchored, java.util.Set<IComputationStrategy.Parameter<?>> parameters)` Computes an anchor position based on the given anchorage visual, anchored visual, and anchored reference point.
`java.util.Set<java.lang.Class<? extends IComputationStrategy.Parameter<?>>>` `getRequiredParameters()` Returns the types of parameters required by this strategy.

### Method Detail

#### computePositionInScene

    Point computePositionInScene(javafx.scene.Node anchorage,
                                 javafx.scene.Node anchored,
                                 java.util.Set<IComputationStrategy.Parameter<?>> parameters)

Computes an anchor position based on the given anchorage visual, anchored visual, and anchored reference point.

Parameters:
  `anchorage` - The anchorage visual.
  `anchored` - The anchored visual.
  `parameters` - The available computation parameters. strategy.
Returns:
  The anchor position.

#### getRequiredParameters

    java.util.Set<java.lang.Class<? extends IComputationStrategy.Parameter<?>>> getRequiredParameters()

Returns the types of parameters required by this strategy.

Returns:
  The parameters required by this strategy.